/* Adjustable 3D-printed SMD soldering tweezers
* 
* This is a customization of 3D-printed SMD soldering tweezers BETA 2 (http://www.thingiverse.com/thing:1934731)
* by minipimmer is licensed under the Creative Commons - Attribution license.
* http://creativecommons.org/licenses/by/3.0/
*
* Original design is included with an import and is located in the print.stl file.
*
* Added option to change the angle between the soldering iron rods and scaling factors for simpler fitting.
*/

/*********** PARAMETERS ***********/ 
angle_adjust = 0.0;
scale_xy = 1.0;
scale_z = 1.0;
/*************************************/

pivot_pos_z = 31.0 ;
pivot_pos_y = -12.5;
module holder(){
    difference(){
        import("print.stl", convexity=10);
        rotate([0, 0, 0]) translate([-11, 12.5, -15]) cube([22, 18, 21]);
        translate([-11, 15.13, -30]) rotate([32.5, 0, 0]) cube([22, 18, 15]);
    }
}

scale([scale_xy, scale_xy, scale_z]) union(){ 
    holder();
     rotate([0, 0, 180]) translate([0, -25.0, 0]) 
            translate([0, -pivot_pos_y, -pivot_pos_z]) rotate([-angle_adjust, 0, 0]) translate([0, pivot_pos_y, pivot_pos_z])
                holder();
    }